!! @(#) eqpopup.mod, 05.02.99, A.06.20
/* ----------------------------------------------------------------------

   eqpopup.mod - Definition of EqPopup window for eq dlg

   Please Note:

   * This requires Dialog Manager Rev. A.03.01a or above.

   * Any structural change requires re-creation of the interface
     file. This can be done by executing

     idm +writeexport eqpopup.if eqpopup.mod

---------------------------------------------------------------------- */

module EqmPopup

// import modules
import EqmRsrc "IDMLIB:eqrsrc.if";
import EqmBind "IDMLIB:eqbind.if";
import EqmDef  "IDMLIB:eqdef.if";

// ----------------------------------------------------------------------

export window EqPopup
{
  .visible false;
  .width 43;
  .height 9;
  .sizeable true;
  .title "HP Eloquence";
  export child pushbutton EqPB1
  {
    .xleft 0;
    .yauto -1;
//  .height 1;
    .ybottom 0;
    .text "PB1";
  }
  export child pushbutton EqPB2
  {
    .xleft 4;
    .yauto -1;
//  .height 1;
    .ybottom 0;
    .text "PB2";
  }
  export child pushbutton EqPB3
  {
    .xleft 8;
    .yauto -1;
//  .height 1;
    .ybottom 0;
    .text "PB3";
  }
  export child pushbutton EqPB4
  {
    .xleft 12;
    .yauto -1;
//  .height 1;
    .ybottom 0;
    .text "PB4";
  }
  export child pushbutton EqPB5
  {
    .xleft 16;
    .yauto -1;
//  .height 1;
    .ybottom 0;
    .text "PB5";
  }
  export child edittext EqMsg
  {
    .sensitive false;
    .active false;
    .xauto 0;
    .xleft 0;
    .yauto 0;
    .ytop 0;
    .ybottom 1;
    .multiline true;
//  .content "Multiline Message Box !!!\nLine #1\nLine #2\nLine #3";
//  .focusable true;
    .editable false;
    .hsb_visible false;
    .vsb_visible false;
    .endsel 0;
  }
}

// ----------------------------------------------------------------------

on EqPopup.EqPB1 select, key EqKbCR {
   EqPopup.visible := false;
   updatescreen();
// EqRestorePopup();
   EqExitEventLoop( this, 1 );
}

on EqPopup.EqPB2 select, key EqKbCR {
   EqPopup.visible := false;
   updatescreen();
// EqRestorePopup();
   EqExitEventLoop( this, 2 );
}

on EqPopup.EqPB3 select, key EqKbCR {
   EqPopup.visible := false;
   updatescreen();
// EqRestorePopup();
   EqExitEventLoop( this, 3 );
}

on EqPopup.EqPB4 select, key EqKbCR {
   EqPopup.visible := false;
   updatescreen();
// EqRestorePopup();
   EqExitEventLoop( this, 4 );
}

on EqPopup.EqPB5 select, key EqKbCR {
   EqPopup.visible := false;
   updatescreen();
// EqRestorePopup();
   EqExitEventLoop( this, 5 );
}

// end of module --------------------------------------------------------
