!! @(#) eqrsrc.mod, 05.02.99, A.06.20
/* ----------------------------------------------------------------------

   eqrsrc.mod - Resources for eq dlg

   Please Note:

   * This requires Dialog Manager Rev. A.03.01a or above.

   * Any structural change requires re-creation of the interface
     file. This can be done by executing

     idm +writeexport eqrsrc.if eqrsrc.mod

---------------------------------------------------------------------- */

module EqmRsrc

// ======================================================================
// Font Resources
// ----------------------------------------------------------------------
// The following font defines the basic layout of the dialog.
// NOTE: BaseFont should be a fixed space font.
// ----------------------------------------------------------------------

// Base Font is used to calculate all sizes and positions.
export font BaseFont {
    0: "*-courier-medium-r-normal--14-*-hp-roman8";
    1: "10.Courier" y:=*110%+0;
}

// Normal Font is used to display all text fields
export font NormalFont {
    0: "*-courier-medium-r-normal--14-*-hp-roman8";
    1: "10.Courier";
}

// Bold Font is not used
export font BoldFont {
    0: "*-courier-bold-r-normal--14-*-hp-roman8";
    1: "10.Courier",0,bold;
}

// Italic Font is not used
export font ItalicFont {
    0: "*-courier-medium-i-normal--14-*-hp-roman8";
    1: "10.Courier",0,italic;
}

// ======================================================================
// Some fancy colors.
// None of this is required.
// ----------------------------------------------------------------------

// Non Editable background

export color ColWin {
    0: rgb(192,192,192), grey(192), white;
    1: rgb(192,192,192), grey(192), white;
}

// EditText Background

export color ColInput {
    0: rgb(224,224,224), grey(224), white;
    1: "WHITE",grey(255), white;
}

export color ColBlack "BLACK", grey(0), white;
export color ColWhite "WHITE", grey(0), white;
export color ColRed "RED", grey(0), white;
export color ColGreen "GREEN", grey(0), white;
export color ColBlue "BLUE", grey(0), white;
export color ColYellow "YELLOW", grey(0), white;

// end of module --------------------------------------------------------
