/* num.c

   This file has been prepared to compile with ansi c and
   k&r c compiler. Because dllcc only supports ansi c syntax,
   you have to provide both forms.
   The __STDC__ symbol will be defined automatically by the
   ansi c preprocessor.
*/

#ifndef DLLCC          /* don't include if preprocessing for dllcc */
#include "dllif.h"
#endif

#ifdef __STDC__
EqDLL int_add( EqInt int1, EqInt int2, EqInt *result )   /* ansi c */
#else
EqDLL int_add( int1, int2, result )                      /* k & r */
EqInt int1, int2, *result;
#endif
{
   *result = int1 + int2;
   return(0);
}


#ifdef __STDC__
EqDLL int_div( EqInt int1, EqInt int2, EqInt *result )   /* ansi c */
#else
EqDLL int_div( int1, int2, result )                      /* k & r */
EqInt int1, int2, *result;
#endif
{
   if(int2 == 0)
      return(31);           /* division by zero */
   *result = int1 / int2;
   return(0);
}
